# example.js

``` javascript
function getTemplate(templateName, callback) {
	require.ensure([], function(require) {
		callback(require("../require.context/templates/"+templateName));
	});
}
getTemplate("a", function(a) {
	console.log(a);
});
getTemplate("b", function(b) {
	console.log(b);
});
```

# js/output.js

``` javascript
/******/(function(document, undefined) {
/******/	return function(modules) {
/******/		var installedModules = {}, installedChunks = {0:1};
/******/		function require(moduleId) {
/******/			if(typeof moduleId !== "number") throw new Error("Cannot find module '"+moduleId+"'");
/******/			if(installedModules[moduleId])
/******/				return installedModules[moduleId].exports;
/******/			var module = installedModules[moduleId] = {
/******/				exports: {}
/******/			};
/******/			modules[moduleId](module, module.exports, require);
/******/			return module.exports;
/******/		}
/******/		require.ensure = function(chunkId, callback) {
/******/			if(installedChunks[chunkId] === 1) return callback(require);
/******/			if(installedChunks[chunkId] !== undefined)
/******/				installedChunks[chunkId].push(callback);
/******/			else {
/******/				installedChunks[chunkId] = [callback];
/******/				var head = document.getElementsByTagName('head')[0];
/******/				var script = document.createElement('script');
/******/				script.type = 'text/javascript';
/******/				script.src = modules.c+chunkId+modules.a;
/******/				head.appendChild(script);
/******/			}
/******/		};
/******/		window[modules.b] = function(chunkId, moreModules) {
/******/			for(var moduleId in moreModules)
/******/				modules[moduleId] = moreModules[moduleId];
/******/			var callbacks = installedChunks[chunkId];
/******/			installedChunks[chunkId] = 1;
/******/			for(var i = 0; i < callbacks.length; i++)
/******/				callbacks[i](require);
/******/		};
/******/		return require(0);
/******/	}
/******/})(document)
/******/({a:".output.js",b:"webpackJsonp",c:"",
/******/0: function(module, exports, require) {

function getTemplate(templateName, callback) {
	require.ensure(1, function(require) {
		callback(require(/* ../require.context/templates */1)("./"+templateName));
	});
}
getTemplate("a", function(a) {
	require(/* __webpack_console */2).log(a);
});
getTemplate("b", function(b) {
	require(/* __webpack_console */2).log(b);
});

/******/},
/******/
/******/2: function(module, exports, require) {

var console = window.console;
exports.log = (console && console.log) || function() {};
exports.info = (console && console.info) || function() {};
exports.error = (console && console.error) || function() {};
exports.warn = (console && console.warn) || function() {};
exports.dir = (console && console.dir) || function() {};
exports.time = (console && console.time) || function(label) {
	times[label] = Date.now();
};
exports.timeEnd = (console && console.timeEnd) || function() {
	var duration = Date.now() - times[label];
	exports.log('%s: %dms', label, duration);
};
exports.trace = (console && console.trace) || function() {};
exports.assert = (console && console.assert) || function() {};

/******/},
/******/
/******/})
```

# js/1.output.js

``` javascript
/******/webpackJsonp(1, {
/******/1: function(module, exports, require) {

/***/module.exports = function(name) {
/***/	var map = {"./b.js":3,"./a.js":4,"./c.js":5};
/***/	return require(map[name]||map[name+".web.js"]||map[name+".js"]||name);
/***/};

/******/},
/******/
/******/3: function(module, exports, require) {

module.exports = function() {
	return "This text was generated by template B";
}

/******/},
/******/
/******/4: function(module, exports, require) {

module.exports = function() {
	return "This text was generated by template A";
}

/******/},
/******/
/******/5: function(module, exports, require) {

module.exports = function() {
	return "This text was generated by template C";
}

/******/},
/******/
/******/})
```

# Info

## Uncompressed

```
Chunks: 2
Modules: 6
Modules including duplicates: 6
Modules pre chunk: 3
Modules first chunk: 2
     output.js:     2815 characters
   1.output.js:      735 characters
output.js
    0 [...]\examples\code-splitted-require.context\example.js
       main
    2 [...]\buildin\__webpack_console.js
       require (2x) from [...]\examples\code-splitted-require.context\example.js
1.output.js
    1 generated [...]\examples\require.context\templates
       async context from [...]\examples\code-splitted-require.context\example.js
    3 [...]\examples\require.context\templates\b.js
       async context from [...]\examples\code-splitted-require.context\example.js
    4 [...]\examples\require.context\templates\a.js
       async context from [...]\examples\code-splitted-require.context\example.js
    5 [...]\examples\require.context\templates\c.js
       async context from [...]\examples\code-splitted-require.context\example.js
```

## Minimized (uglify-js, no zip)

```
Chunks: 2
Modules: 6
Modules including duplicates: 6
Modules pre chunk: 3
Modules first chunk: 2
     output.js:     1149 characters
   1.output.js:      407 characters
output.js
    0 [...]\examples\code-splitted-require.context\example.js
       main
    2 [...]\buildin\__webpack_console.js
       require (2x) from [...]\examples\code-splitted-require.context\example.js
1.output.js
    1 generated [...]\examples\require.context\templates
       async context from [...]\examples\code-splitted-require.context\example.js
    3 [...]\examples\require.context\templates\a.js
       async context from [...]\examples\code-splitted-require.context\example.js
    4 [...]\examples\require.context\templates\c.js
       async context from [...]\examples\code-splitted-require.context\example.js
    5 [...]\examples\require.context\templates\b.js
       async context from [...]\examples\code-splitted-require.context\example.js
```
